Package weka.core

# Interface Randomizable

All Known Implementing Classes:
  `AdaBoostM1`, `Agrawal`, `Bagging`, `BayesNet`, `BFTree`, `BIRCHCluster`, `ClassBalancedND`, `ClassificationGenerator`, `ClusterGenerator`, `Cobweb`, `CostSensitiveClassifier`, `CVParameterSelection`, `Dagging`, `DataGenerator`, `DataNearBalancedND`, `Decorate`, `EM`, `END`, `Expression`, `FarthestFirst`, `Grading`, `GridSearch`, `LED24`, `LibSVM`, `LogitBoost`, `MetaCost`, `MexicanHat`, `MiddleOutConstructor`, `MIEMDD`, `MultiBoostAB`, `MultiClassClassifier`, `MultilayerPerceptron`, `MultiScheme`, `ND`, `RacedIncrementalLogitBoost`, `RandomCommittee`, `RandomForest`, `RandomizableClassifier`, `RandomizableClusterer`, `RandomizableDensityBasedClusterer`, `RandomizableIteratedSingleClassifierEnhancer`, `RandomizableMultipleClassifiersCombiner`, `RandomizableSingleClassifierEnhancer`, `RandomizableSingleClustererEnhancer`, `RandomRBF`, `RandomSubSpace`, `RandomTree`, `RDG1`, `RegressionGenerator`, `REPTree`, `RotationForest`, `sIB`, `SimpleCart`, `SimpleKMeans`, `Stacking`, `StackingC`, `SubspaceCluster`, `ThresholdSelector`, `Vote`, `XMeans`

public interface Randomizable
Interface to something that has random behaviour that is able to be seeded with an integer.

Version:
  $Revision: 1.3 $
Author:
  Richard Kirkby (rkirkby@cs.waikato.ac.nz)

## Method Summary

Modifier and Type
Method
Description
`int`
`getSeed()`
Gets the seed for the random number generations
`void`
`setSeed(int seed)`
Set the seed for random number generation.

## Method Details

### setSeed

void setSeed(int seed)
Set the seed for random number generation.

Parameters:
  `seed` - the seed

### getSeed

int getSeed()
Gets the seed for the random number generations

Returns:
  the seed for the random number generation